<header>
  <div class="logo">
    <h1 class="logo-text"><span>Biz</span>Tracker</h1>
  </div>

  <i class="fa fa-bars menu-toggle"></i>

  <ul class="nav">
    <li><a routerLink="/home">Firma GmbH</a></li>
    <li><a routerLink="/home" href="#"> <i class="fa fa-cog" aria-hidden="true"></i> Settings </a></li>
    <li>
      <a href="#">
        <i class="fa fa-user"></i>
        {{user.name}}
        <i class="fa fa-chevron-down downLink" ></i>
      </a>
      <ul>
        <li><a href="#" routerLink="/home">Dashboard</a></li>
        <li>
          <a href="#" (click)="showModal=true" class="logout" data-toggle="modal" data-target="#myModal">
            <i class="fa fa-sign-out" aria-hidden="true"></i>
            Logout
          </a>
        </li>
      </ul>
    </li>
  </ul>

  <!-- Modal -->
  <div class="modal" id="myModal" [ngClass]="{'show':showModal}">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title" id="modal-title">User Logout</h4>
          <button type="button" class="close" aria-describedby="modal-title" (click)="showModal=false" data-dismiss="modal">
            <span aria-hidden="true" class="closeout">&times;</span>
          </button>
        </div>
        <div class="modal-body">
          <p><strong>Are you sure you want to log <span class="text-primary">"{{user.name}}"</span> out?</strong></p>
          <p>This session will be expired. You will be retourned to the login screen.
          <span class="text-danger">Password and Email are required.</span>
          </p>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-outline-secondary cancel" (click)="showModal=false" data-dismiss="modal" >Cancel</button>
          <button type="button" class="btn btn-danger" (click)="logout()">Log out</button>
        </div>
      </div>
    </div>
  </div>



</header>

